org.jfree.data.category

## Interface IntervalCategoryDataset

All Superinterfaces:
  CategoryDataset, Dataset, KeyedValues2D, Values2D

All Known Subinterfaces:
  GanttCategoryDataset

All Known Implementing Classes:
  DefaultIntervalCategoryDataset, SlidingGanttCategoryDataset, TaskSeriesCollection

    public interface IntervalCategoryDataset
    extends CategoryDataset

A category dataset that defines a value range for each series/category combination.

### Method Summary

Methods
`java.lang.Number` `getEndValue(java.lang.Comparable series, java.lang.Comparable category)` Returns the end value for the interval for a given series and category.
`java.lang.Number` `getEndValue(int series, int category)` Returns the end value for the interval for a given series and category.
`java.lang.Number` `getStartValue(java.lang.Comparable series, java.lang.Comparable category)` Returns the start value for the interval for a given series and category.
`java.lang.Number` `getStartValue(int series, int category)` Returns the start value for the interval for a given series and category.

### Methods inherited from interface org.jfree.data.KeyedValues2D

`getColumnIndex, getColumnKey, getColumnKeys, getRowIndex, getRowKey, getRowKeys, getValue`

### Methods inherited from interface org.jfree.data.Values2D

`getColumnCount, getRowCount, getValue`

### Methods inherited from interface org.jfree.data.general.Dataset

`addChangeListener, getGroup, removeChangeListener, setGroup`

### Method Detail

#### getStartValue

    java.lang.Number getStartValue(int series,
                                 int category)

Returns the start value for the interval for a given series and category.

Parameters:
  `series` - the series (zero-based index).
  `category` - the category (zero-based index).
Returns:
  The start value (possibly `null`).
See Also:
  `getEndValue(int, int)`

#### getStartValue

    java.lang.Number getStartValue(java.lang.Comparable series,
                                 java.lang.Comparable category)

Returns the start value for the interval for a given series and category.

Parameters:
  `series` - the series key.
  `category` - the category key.
Returns:
  The start value (possibly `null`).
See Also:
  `getEndValue(Comparable, Comparable)`

#### getEndValue

    java.lang.Number getEndValue(int series,
                               int category)

Returns the end value for the interval for a given series and category.

Parameters:
  `series` - the series (zero-based index).
  `category` - the category (zero-based index).
Returns:
  The end value (possibly `null`).
See Also:
  `getStartValue(int, int)`

#### getEndValue

    java.lang.Number getEndValue(java.lang.Comparable series,
                               java.lang.Comparable category)

Returns the end value for the interval for a given series and category.

Parameters:
  `series` - the series key.
  `category` - the category key.
Returns:
  The end value (possibly `null`).
See Also:
  `getStartValue(Comparable, Comparable)`